Publish Version
POST
/v1/skills/{skill_id}/versions
const url = 'https://agents.lumalabs.ai/v1/skills/example/versions';const form = new FormData();form.append('file', 'file');form.append('files', 'file');form.append('scope_id', '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://agents.lumalabs.ai/v1/skills/example/versions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form file=@file \ --form files=@file \ --form scope_id=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Publish a new version from a bundle; its SKILL.md must keep the skill's name.
A bundle identical to the latest version, file for file, publishes nothing and answers 200 with that version.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”skill_id
required
Skill Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typemultipart/form-data
object
file
The bundle as one zip.
string format: binary
files
The bundle's files, each part's filename its path inside the bundle.
Array<string>
scope_id
Make this a workspace skill. Ignored when publishing a version.
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
ClientSkillVersion
One immutable version of a skill and the files it holds.
object
created_at
required
Created At
string format: date-time
file_count
required
File Count
integer
files
required
Files
Array<object>
ClientSkillFileOne file of a published version, as recorded on its version row.
object
kind
required
ClientSkillFileKind
string
path
required
Path
string
sha256
required
Sha256
string
size
required
Size
integer
skill_id
required
Skill Id
string format: uuid
total_bytes
required
Total Bytes
integer
version
required
Version
integer
Example
{ "files": [ { "kind": "skill_md" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}